<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="border border-borderGrey bg-whitesmoke rounded-sm">
  <div class="flex items-center px-8 py-4 gap-8">
    <div class="size-16 bg-white flex items-center justify-center text-primary-500 rounded-full">
      <i class="fa fa-circle-nodes" style="font-size: 2rem"></i>
    </div>
    <div class="flex flex-col items-start gap-1">
      <div class="text-sm text-text-300">Data Broker running on address:</div>
      <div>{{ broker.address }}</div>
      <div class="mt-2 text-sm flex items-center gap-2">
        <div>status:</div>
        <div [ngClass]="{ 'text-success': broker.online, 'text-yellow': !broker.online }">{{ broker.online ? 'Online' : 'Offline' }}</div>
      </div>
    </div>
  </div>
</div>
